/// <reference path="../../references.js" />

rwthapp.util.initNamespace("templates.canteen");

rwthapp.templates.canteen.overview = {

    load: function (template, parameters) {
        return rwthapp.connection.api.canteen.getCanteens().then(function (data) {
            return {
                template: template,
                parameters: {
                    canteens: data
                },
                title: rwthapp.localization.getLocalizedString("titles.canteenOverview"),
                tabletMode: { position: 'right', mainView: true }
            };
        });
    },

    ready: function () {

    },

    exit: function () {


    }
};